# This file created by conda-build 3.17.6
# meta.yaml template originally from:
# /src/conda-recipes/llvmlite, last modified Wed Aug 12 15:52:14 2020
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.34.0
source:
    path: /src
build:
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py36hf484d3e_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-32 2.31.1 he3168a9_1
        - binutils_linux-32 2.31.1 he3168a9_3
        - gcc_impl_linux-32 7.3.0 he2ea625_1
        - gcc_linux-32 7.3.0 hd2c3c17_3
        - gxx_impl_linux-32 7.3.0 h9268252_1
        - gxx_linux-32 7.3.0 hd2c3c17_3
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - make 4.2.1 h1bed415_1
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py36_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 8.2.0 h9268252_1
        - libstdcxx-ng 8.2.0 h9268252_1
        - llvmdev 10.0.1 hf484d3e_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - pip 18.1 py36_0
        - python 3.6.7 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.3 py36_0
        - sqlite 3.26.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - python >=3.6,<3.7.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
